---
lang: en
title: 'API docs: sequelize.sequelizedatasource'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizedatasource.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeDataSource](./sequelize.sequelizedatasource.md)

## SequelizeDataSource class

Sequelize DataSource Class

**Signature:**

```typescript
export declare class SequelizeDataSource implements LifeCycleObserver 
```
**Implements:** [LifeCycleObserver](./core.lifecycleobserver.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(config)](./sequelize.sequelizedatasource._constructor_.md) |  | Constructs a new instance of the <code>SequelizeDataSource</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [config](./sequelize.sequelizedatasource.config.md) |  | [SequelizeDataSourceConfig](./sequelize.sequelizedatasourceconfig.md) |  |
|  [name](./sequelize.sequelizedatasource.name.md) |  | string |  |
|  [parseJsonColumns](./sequelize.sequelizedatasource.parsejsoncolumns.md) | <code>readonly</code> | boolean | Gets the flag indicating whether to parse JSON columns. If the <code>parseJsonColumns</code> property is set in the configuration, its value will be returned. Otherwise, it returns <code>true</code> if the dialect is MySQL, <code>false</code> otherwise. |
|  [sequelize](./sequelize.sequelizedatasource.sequelize.md) |  | Sequelize |  |
|  [sequelizeConfig](./sequelize.sequelizedatasource.sequelizeconfig.md) |  | SequelizeOptions |  |
|  [settings](./sequelize.sequelizedatasource.settings.md) |  | {} |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [automigrate()](./sequelize.sequelizedatasource.automigrate.md) |  |  |
|  [autoupdate()](./sequelize.sequelizedatasource.autoupdate.md) |  |  |
|  [beginTransaction(options)](./sequelize.sequelizedatasource.begintransaction.md) |  | Begin a new transaction. |
|  [execute(command, parameters, options)](./sequelize.sequelizedatasource.execute.md) |  | <p>Execute a SQL command.</p><p>\*\*WARNING:\*\* In general, it is always better to perform database actions through repository methods. Directly executing SQL may lead to unexpected results, corrupted data, security vulnerabilities and other issues.</p> |
|  [getPoolOptions()](./sequelize.sequelizedatasource.getpooloptions.md) |  |  |
|  [init()](./sequelize.sequelizedatasource.init.md) |  |  |
|  [start(\_injectedArgs)](./sequelize.sequelizedatasource.start.md) |  |  |
|  [stop()](./sequelize.sequelizedatasource.stop.md) |  |  |


